Subject: Re: bug#27021: [PATCH 2/2] gnu: node: Use unbundled dependencies.

From: Jelle Licht <[email-masked]>
Date: Tue, 23 May 2017 19:25:46 +0200

No problem, I use this stuff quite often.
I noticed the problem with the bundled copies in the source as well, but
ran into the same issues you mention here.
Maybe I will look into it when the next node version is released.

2017-05-23 18:31 GMT+02:00 Marius Bakke <[email-masked]>:

> Jelle Licht <[email-masked]> writes:
>
> > * gnu/packages/node.scm (node): Update to 7.10.0.
> > (node)[arguments]: Disabled more tests.
> > * gnu/packages/patches/node-9077.patch: Delete incompatible patch file.
> > Recreate patch file from node pull request 9077.
>
> [...]
>
> > * gnu/packages/node.scm (node)[inputs]: Add c-ares and http-parser.
> > [arguments]: Add configure flags for using system libraries.
>
> Thanks for these patches! I updated the TODO comment about http-parser
> to say "TODO: Purge the bundled copies from the source". I tried to do
> that with a source 'snippet', but the Makefile expects to build these
> targets, so it will take some work. Would you mind looking into it? :-)
>
> Regardless, I've applied these patches for now. Thanks for maintaining
> this package! :-)
>